Skip to main content
DELETE
/
public
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
environments
/
{environmentId}
Delete Environment
curl --request DELETE \
  --url https://api.tenderly.co/api/public/v1/account/{accountSlug}/project/{projectSlug}/environments/{environmentId} \
  --header 'X-Access-Key: <api-key>'
{
  "error": {
    "id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
    "slug": "bad_request",
    "message": "Bad request input parameters"
  }
}

Authorizations

X-Access-Key
string
header
required

An API key is a token that a client provides when making API calls. The key can be sent as a request header:

curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/simulate' \
  -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
  ...

Learn how to generate API access tokens at Tenderly Docs.

Path Parameters

accountSlug
string
required

Account ID or slug

projectSlug
string
required

Project ID or slug

environmentId
string<uuid>
required

Environment ID

Response

Environment deleted successfully